attribute vec4 position;                // vertex position attribute
attribute vec2 texCoord;                // vertex texture coordinate attribute
 
varying vec2 uv;               // vertex texture coordinate varying

void main()
{
    gl_Position = position;       // project the transformed position and write it to gl_Position
    uv = texCoord;             // assign the texture coordinate attribute to its varying
}
