/**
 * Simple QtOpenGL Sample
 * tuomo.hirvonen @ digia 2010
 *
 */

#ifndef GLWINDOW_H
#define GLWINDOW_H

#include <QGLWidget>
#include <QTimer>
#include <QtOpenGL/qglshaderprogram.h>


class GLWindow : public QGLWidget
{
    Q_OBJECT
public:
    GLWindow(QWidget *parent = 0);
    ~GLWindow();

    void resizeGL(int width, int height);
    void initializeGL();
    void paintGL();

protected:
    QGLShaderProgram m_sampleProgram;
};

#endif // GLWINDOW_H
