precision mediump float;        // set default precision for floats to medium
 
uniform sampler2D screenTexture;      // shader texture uniform

varying vec2 uv;       // fragment texture coordinate varying

uniform mat3 transform;

// Cheating for the gamma value

void main()
{
    // sample the texture at the interpolated texture coordinate
    // and write it to gl_FragColor
    vec4 color;

    color = texture2D(screenTexture, uv);
    gl_FragColor = vec4(transform * color.rgb, color.a);
}

